<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

function haumenu_sanitize_blocktheme_site_bg($value){
	$value = (array) $value;
	$original_value = get_option('hautility-option-02-blocktheme'); // 元の値を保持

	/*** 投稿エディターで背景画像を無効にする ***/
	/* チェックボックス（存在するかどうか） */
	if ( isset( $value['disable-editor-bg-image'] ) && $value['disable-editor-bg-image'] === '1' ) {
		$value['disable-editor-bg-image'] = '1'; // 明示的に '1' を設定
	} else {
		$value['disable-editor-bg-image'] = ''; // チェックされていない場合は空文字を設定
	}





	/* ---------- ここまでに項目ごとの記述をする ---------- */
	return $value;//値を返す
}